
QGIS Application - Bug report #3815

name of the autoloaded rasters and raster calculator

2011-05-10 09:57 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13873

Description

When running an analysis (e.g. slope) and selecting "Add to canvas", the layer is automatically added at the end of the analysis. The name

shown in the legend, however, is not the filename, but the name of the analysis. Problems arise when starting raster calculator:

    -  different runs of the same analysis (as it happens frequently e.g. with interpolation) cannot be distinguished

    -  if the analysis, or its translation, has parentheses (this happens at least in IT), the calculator goes mad.

Better to load rasters with their filename.

History

#1 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2011-12-24 10:43 AM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Affected QGIS version set to master

#3 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-03 02:47 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

in raster calculator and in GdalTools, we need to set a file name to produce the resulting raster. When autoloaded, the name of the file is always used.

I am closing this bug...
